PENGADIAN EMAS - Bug #16092

BE [EMAS][SELL][RETRY CR] Showing Wrong Transaction Status in Gold Dashboard
30 March 2023 10:19 AM - yap chekying

Status:
Priority:
Assignee:
Category:

Target version:

Closed
High
yap chekying

Start date:

Due date:

% Done:
Estimated time:

Spent time:

30 March 2023

100%
0.00 hour
0.00 hour

Description

Issue:

Transaction failed (Sell hit 68, reff switching hit 13) but showing in progress status in gold dashboard.
"headerDateEn" . "MARCH 2023",

@ nrealizedGainLoss" null
q:tatus" : "SUSPECT"|,
"totalGoldTradedAmo@ht" :/null,
"purchaseFrequency" : "2,
"sofName" : "U Transaction Account
iB",
goldmrxadedPrice" : "1150000.0",
"totalGoldTradedWeight" : null,
"purchasePeriod” : 1,
"remaningTimeForPurchaseRoutine"
null,
"trxDate" : "29/03/2023 16:11:30",
"trxType" : "SELL",
"sof" : "8701901820",
"channel" : "2",
"debitDate" : null,
"goldTradedAmount" : "1145000.0",
"productProvider" : "Pegadaian",
"averageGoldPurchasePrice" : null,
"goldTradedwWweight" : "1.0",
"trxId" : 1782,
"lastAutoDebitTrxDate" : null,
"accountNo" : "1283522620000124",
"fee" : null,
"cif" : "0012110198"

"trxRefNo" : "I0001362041",
"unrealizedGainLoss" : null,
"status" : "GAGAL",
"totalGoldTradedAmount" : null,
"purchaseFrequency" : "1",
"sofName" : "U Transaction Account
iB",
"goldTradedPrice" : "980000.0",
"totalGoldTradedWeight" : null,
"purchasePeriod" : 1,
"remaningTimeForPurchaseRoutine"
null,
"trxDate" : "29/03/2023 13:18:12",
"trxType" : "BUY",

"sof" : "8701901820",

"channel"” : "2",

"debitDate" : null,
"goldTradedAmount"” : "50000.0",
"productProvider" : "Pegadaian",
"averageGoldPurchasePrice" : null,
"tAalAMiradadAlai~h+" . "N ng11"
Expected Result:
Show Failed status in gold dashboard.

History
#1 - 30 March 2023 10:38 AM - Imran Abdulhadi
- Status changed from New to Resolved

- Assignee changed from Imran Abdulhadi to yap chekying
- % Done changed from 0 to 100

23 April 2025




done

#2 - 03 April 2023 05:23 PM - yap chekying
- File Screenshot 20230403 _171936.jpg added
- File Screenshot_20230403 172007 .jog added
- Status changed from Resolved to Assigned

- Assignee changed from yap chekying to Imran Abdulhadi

Still showing "in progress"

#3 - 10 April 2023 10:37 AM - Imran Abdulhadi
- Assignee changed from Imran Abdulhadi to yap chekying

fixed. please retry with new transaction

#4 - 18 April 2023 03:31 PM - yap chekying

- File Screenshot_20230418_151339.jpg added
- File Screenshot 20230418 _151342.jpg added
- File db_table.png added

- Status changed from Assigned to Closed

Files

2.jpeg 69.7 KB 30 March 2023 yap chekying
3.jpeg 53.8 KB 30 March 2023 yap chekying
1.jpeg 390 KB 30 March 2023 yap chekying
Screenshot_20230403_171936.jpg 273 KB 03 April 2023 yap chekying
Screenshot_20230403_172007.jpg 233 KB 03 April 2023 yap chekying
Screenshot_20230418_151342.jpg 291 KB 18 April 2023 yap chekying
Screenshot_20230418_151339.jpg 323 KB 18 April 2023 yap chekying
db_table.png 31.5KB 18 April 2023 yap chekying
